Subject: Re: [PATCH] genirq: Set initial default irq affinity to just CPU0

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Oct 2008 13:49:36 +1100

On Sun, 2008-10-26 at 18:30 -0800, Kevin Diggs wrote:
> The reason I asked is that I seem to remember a config option that
> would restrict the irqs to cpu 0? Help suggested it was needed for
> certain PowerMacs. Didn't provide any help as to which ones. My GigE
> currently spreads them between the two. I have not noticed any
> additional holes in the space time contiuum.

Yeah, a long time ago we had unexplained lockups when spreading
interrupts, hence the config option. I think it's all been fixed since
then.

Ben.